Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58987 - [vdirsyncer] depends on outdated click-log

Attached to Project: Community Packages
Opened by Moabit (Moabit) - Wednesday, 13 June 2018, 01:40 GMT
Last edited by Doug Newgard (Scimmia) - Thursday, 14 June 2018, 02:26 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To David Runge (dvzrv)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 3
Private No

Details

Description: `vdirsyncer sync` fails with the error below, due to a dependency on an outdated click-log, updated in the last few days.

Additional info:
* vdirsyncer 0.16.4-3
* python-click-log 0.3.2-1

Steps to reproduce:
```
$ vdirsyncer sync
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 779, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (click-log 0.3.2 (/usr/lib/python3.6/site-packages), Requirement.parse('click-log<0.3.0,>=0.2.0'), {'vdirsyncer'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/vdirsyncer", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 572, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 585, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'click-log<0.3.0,>=0.2.0' distribution was not found and is required by vdirsyncer
```

I tried installing vdirsyncer-git from the AUR to test if a patch could be applied, but this failed for me with other missing dependencies [a].

[a] https://aur.archlinux.org/packages/vdirsyncer-git
This task depends upon

Closed by  Doug Newgard (Scimmia)
Thursday, 14 June 2018, 02:26 GMT
Reason for closing:  Fixed
Additional comments about closing:  vdirsyncer 0.16.6-1
Comment by Daniel M. Capella (polyzen) - Wednesday, 13 June 2018, 15:04 GMT
Passed the bug along to the vdirsyncer author on IRC. Moabit, please report issues like this upstream next time: https://github.com/pimutils/vdirsyncer/issues
Comment by Daniel M. Capella (polyzen) - Wednesday, 13 June 2018, 15:11 GMT
It may be sufficient to bump the requirement through the vdirsyncer package. Not much has changed: https://github.com/click-contrib/click-log/compare/0.2.1...0.3.2
Comment by Eli Schwartz (eschwartz) - Wednesday, 13 June 2018, 17:33 GMT
https://github.com/pimutils/vdirsyncer/commit/83026ad7ded45ddde929db41603ab22b9d46dae8

This should be fixed automatically by updating to vdirsyncer 0.16.6-1 (just updated).
Comment by Moabit (Moabit) - Thursday, 14 June 2018, 01:25 GMT
Thanks and apologies for posting in the wrong place. I attempted to imply in my final sentence: I thought the fix might be present in vdirsyncer-git, and hence was already fixed upstream, but I couldn't confirm it yet.

Loading...